Package org.eclipse.birt.core.config

# Interface IConfigVarManager

public interface IConfigVarManager
Allows BIRT components to access configuration variables in a uniform way.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getConfigBoolean(String key)`
`Integer`
`getConfigInteger(String key)`
`int`
`getConfigInteger(String key, int defaultValue)`
`String`
`getConfigVar(String key)`
`String`
`getConfigVar(String key, String defaultValue)`

## Method Details

### getConfigVar

String getConfigVar(String key)

Parameters:
  `key` - the configuration variable name
Returns:
  The value for the configuration variable. null if it is not set.

### getConfigVar

String getConfigVar(String key, String defaultValue)

Parameters:
  `key` - the configuration variable name
  `defaultValue` - returns this value is the configuration variable is not set
Returns:
  The value for the configuration variable. In case the config var is not set, or there is an exception, defaultValue is returned.

### getConfigBoolean

boolean getConfigBoolean(String key)

Parameters:
  `key` - the configuration variable name
  `defaultValue` - returns this value is the configuration variable is not set
Returns:
  true if set to true (case insensitive), false in any other cases

### getConfigInteger

Integer getConfigInteger(String key)

Parameters:
  `key` - the configuration variable name
Returns:
  the value for the configuration variable. returns null if the config var is not set or not set to an integer or any other exception happens.

### getConfigInteger

int getConfigInteger(String key, int defaultValue)

Parameters:
  `key` - the configuration variable name
  `defaultValue` - returns this value is the configuration variable is not set
Returns:
  the value for the configuration variable. In case the config var is not set, or not set to a number, or there is an exception, defaultValue is returned.